%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc

Name: lalsimulation
Version: 1.1.0
Release: 1
Summary: LSC Algorithm Simulation Library
License: GPL
Group: LAL
Source: %{name}-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/lalsuite.html
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: swig python-devel octave-devel
Requires: gsl lal
Prefix: %{_prefix}

%description
The LSC Algorithm Simulation Library for gravitational wave data analysis. This
package contains the shared-object libraries needed to run applications
that use the LAL Simulation library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL Simulation
Group: LAL
Requires: %{name} = %{version}
Requires: gsl-devel lal-devel
%description devel
The LSC Algorithm Simulation Library for gravitational wave data analysis. This
package contains files needed build applications that use the LAL Simulation
library.

%package python
Summary: Python bindings for LALSimulation
Group: LAL
Requires: %{name} = %{version}
Requires: python numpy lal-python
%description python
This package provides the Python Bindings for LALSimulation.

%package octave
Summary: Octave bindings for LALSimulation
Group: LAL
Requires: %{name} = %{version}
Requires: octave lal-octave
%description octave
This package provides the Octave Bindings for LALSimulation.

%prep
%setup -q

%build
%configure --disable-gcc-flags --enable-swig
%{__make} V=1

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_libdir}/*.so*
%{_sysconfdir}/*
%{_bindir}/lalsim*
%{_datarootdir}/lalsimulation/LALSimNeutronStarEOS_*
%{_datarootdir}/lalsimulation/LIGO-P1200087-v18*
%{_datarootdir}/lalsimulation/LIGO-T0900288-v3*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/lal

%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/lalsimulation/*.py
%{_libdir}/python*/site-packages/lalsimulation/*.pyc
%{_libdir}/python*/site-packages/lalsimulation/_lalsimulation.so*
%exclude %{_libdir}/python*/site-packages/lalsimulation/*.pyo
%exclude %{_libdir}/python*/site-packages/lalsimulation/*.la

%files octave
%defattr(-,root,root)
%{_libexecdir}/octave/*/site/oct/*/lalsimulation.oct*
%exclude %{_libexecdir}/octave/*/site/oct/*/lalsimulation.la
